package de.limited_dev.lil_judd.commands.jdacommands.util;


import de.limited_dev.lil_judd.Main;
import de.limited_dev.lil_judd.commands.jdacommands.components.JDACommand;
import de.limited_dev.lil_judd.util.EmbeddedMessageHelper;
import net.dv8tion.jda.api.events.interaction.command.SlashCommandInteractionEvent;

public class PingCommand extends JDACommand {
    public PingCommand() {
        super("ping");
    }

    @Override
    public void onSlashCommand(SlashCommandInteractionEvent event) {
        EmbeddedMessageHelper.sendSimpleOneLiner(event, "Connection speed", "My connection to base takes **" + Main.getJda().getGatewayPing() + "ms**", null);
    }
}
